/*
 *	include/linux/rbf_fs_sb.h
 *	Copyright (C) 2001 Andrew Cannon <ajc@gmx.net>
 */

#ifndef _LINUX_RBF_FS_SB
#define _LINUX_RBF_FS_SB


/*
 * RBF file system in-core superblock info
 */
struct rbf_sb_info {
	struct buffer_head *su_sbh;			/* buffer header w/superblock */
	struct rbf_super_block *su_rbf_sb;		/* superblock in su_sbh->b_data */
	struct rbf_operations *su_operations;
	int		su_minalloc;			/* min allocation size in sectors */
	unsigned short	su_umask;
	unsigned	su_debug		:1,
			su_quiet		:1,
			su_verbose		:1,
			su_dealloc		:1,	/* always deallocate on close */
			su_keepcase		:1,	/* don't fold upper/lower case */
			su_paranoid		:1,	/* additional runtime checks */
			su_nomagic		:1,	/* accept super block without sync code */
			su_nonamecheck		:1,	/* accept any filename */
			su_minalloc_k		:1,	/* minalloc specified in kbytes */
			su_hardlinks		:1,	/* allow hard links */
			su_owner		:1,	/* 16-bit owner ID, not user/group */
						:5;
	uid_t	su_uid;
	gid_t	su_gid;
	long	su_sectsize;
	int	su_sectsize_bits;
	int	su_sect_shift;
	int	su_sect_mask;
	int	su_part_shift;
	int	su_part_mask;
	long	su_nsect;
	long	su_freesect;
	int	su_maxseg;
	long	su_mapblk;
	int	su_mapoffs;
	int	su_curmap;
	int	su_clus;
	int	su_clus_bits;
	int	su_nclus;
	long	su_root;
	int	su_setuid;
	int	su_setgid;
};

#endif	/* _LINUX_RBF_FS_SB */
